## NAME

v.lidar.correction - Correction of the v.lidar.growing output. It is the last of the three algorithms for LIDAR filtering

## KEYWORDS

vector

## SYNOPSIS

v.lidar.correction
v.lidar.correction help
v.lidar.correction input=name output=name out_terrain=name [database=string] [driver=string] [sce=float] scn=float [lambda_c=float] [tch=float] [tcl=float] [--overwrite]

### Flags:

--overwrite
  Force overwrite of output files

### Parameters:

input=name
  Input observation vector file name (v.lidar.growing output)
output=name
  Output classified vector file name
out_terrain=name
  Output terrain only vector file name
database=string
  Database name
driver=string
  Driver name
  Options: dbf,pg,ogr
sce=float
  Interpolation spline step value in east direction
  Default: 25
scn=float
  Interpolation spline step value in north direction
  Default: 25
lambda_c=float
  Regularization weight in reclassification evaluation
  Default: 1
tch=float
  High threshold for object to terrain reclassification
  Default: 2
tcl=float
  Low threshold for terrain to object reclassification
  Default: 1

## DESCRIPTION

v.lidar.correction is the last of three step to filter LIDAR data. It makes a comparison between the LIDAR observations and an interpolated surface in which only terrain points have been used. Once the new reference surface is obtained, a point reclassification is done:
a) Points classified as TERRAIN differing more than a threshold value are interpreted and reclassified as OBJECT.
b) Points classified as OBJECT and closed enough to the interpolated surface are interpreted and reclassified as TERRAIN.
The input should be the output of v.lidar.growing module or the output of this v.lidar.correction itself. That means, this module could be applied more times (although, two are enough) for a better filter solution. The outputs are a vector map with a final point classification as as TERRAIN SINGLE PULSE, TERRAIN DOUBLE PULSE, OBJECT SINGLE PULSE or OBJECT DOUBLE PULSE; and an vector map with only the points classified as TERRAIN SINGLE PULSE or TERRAIN DOUBLE PULSE.

## NOTES

The final result of the whole procedure (v.lidar.edgedetection, v.lidar.growing, v.lidar.correction) will be a point classification in four categories:
TERRAIN SINGLE PULSE
TERRAIN DOUBLE PULSE
OBJECT SINGLE PULSE
OBJECT DOUBLE PULSE

## EXAMPLES

#### Basic correction procedure

    v.lidar.correction input=growing output=correction out_terrain=only_terrain

#### Second correction procedure

    v.lidar.correction input=correction output=correction_bis out_terrain=only_terrain_bis

## SEE ALSO

v.lidar.edgedetection, v.lidar.growing

## AUTHORS

Original version of program in GRASS 5.4:
Maria Antonia Brovelli, Massimiliano Cannata, Ulisse Longoni and Mirko Reguzzoni
Update for GRASS 6.X:
Roberto Antolin and Gonzalo Moreno

Last changed: $Date: 2006/08/22 21:24:11 $

Main index - vector index - Full index